import { Observable } from 'rxjs';
import { User } from '@app/domain/users/user.model';

export interface UserRepository {
  getUserById(userId: string): Observable<User>;
  update(userId: string, user: Partial<User> | User): Observable<User>;
}
